aboutsummaryrefslogtreecommitdiffstats
path: root/initscripts/initscripts-1.0/extractfs
diff options
context:
space:
mode:
Diffstat (limited to 'initscripts/initscripts-1.0/extractfs')
-rw-r--r--initscripts/initscripts-1.0/extractfs28
1 files changed, 28 insertions, 0 deletions
diff --git a/initscripts/initscripts-1.0/extractfs b/initscripts/initscripts-1.0/extractfs
index e69de29bb2..e5fa4e2985 100644
--- a/initscripts/initscripts-1.0/extractfs
+++ b/initscripts/initscripts-1.0/extractfs
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+. /etc/default/rcS
+
+set -e
+
+if (grep -q 'ramfs.*/var.*ramfs' /proc/mounts) || (grep -q 'tmpfs.*/var.*tmpfs' /proc/mounts)
+then
+ if test "$VERBOSE" != "no"; then echo -n "Populating /var filesystem: "; fi
+ cd /
+ tar -xpf /boot/var.tar
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+fi
+
+# Sharp ROM compatibility links
+if ! [ -e /home/QtPalmtop ]; then
+ ln -sf /opt/QtPalmtop /home/QtPalmtop
+fi
+
+if ! [ -e /home/root ]; then
+ ln -sf /root /home/root
+fi
+
+exit 0